Bug 611900 - (CVE-2010-2483) CVE-2010-2483 libtiff: out-of-bounds read crash on images with invalid SamplesPerPixel values
CVE-2010-2483 libtiff: out-of-bounds read crash on images with invalid Sample...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,source=internet,reported=2...
: Security
Depends On: 603081
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-06 15:54 EDT by Tomas Hoger
Modified: 2016-03-04 07:17 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 12:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2010-07-06 15:54:44 EDT
The TIFFRGBAImageGet function in LibTIFF 3.9.0 allows remote attackers
to cause a denial of service (out-of-bounds read and application
crash) via a TIFF file with an invalid combination of SamplesPerPixel
and Photometric values.

References:
https://bugs.launchpad.net/bugs/591605
https://bugzilla.redhat.com/show_bug.cgi?id=603081
http://bugzilla.maptools.org/show_bug.cgi?id=2216
http://secunia.com/advisories/40422
Comment 1 errata-xmlrpc 2010-07-08 11:35:01 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2010:0519 https://rhn.redhat.com/errata/RHSA-2010-0519.html

Note You need to log in before you can comment on or make changes to this bug.